Menu

## SQLite
in package

SQLite.php : 28

SQLite wrapper.

This is just another SQLite database access wrapper class. It can establish connections to the SQLite database, execute SQL queries, and return results. Native drivers are great if you are only using one database in your application, so this class uses the native SQLite driver.

     $db = new \netico\Bones\SQLite();
     $db->sql("SELECT * FROM pages ORDER BY [rowid] ASC;");
     $db->close();

     var_dump($db->data);

##### Tags

link
  https://git.lattuga.net/netico/code-library/src/master/Framework
copyright

  Copyright (c) 2016, 2022 netico netico@riseup.net

license

  https://www.gnu.org/licenses/gpl-3.0.en.html GNU General Public License

author

  netico netico@riseup.net

### Table of Contents

$data : array<string|int, array<string|int, mixed>>
  This array contains the results of the query.
__construct() : mixed
  This method retrieves the SQLite database path from the configuration file and then opens a connection in read mode.
close() : void
  This method closes the connection to the database.
SQL() : void
  It runs a SQL query on a given database and builds an array of the results.

### Properties

#### $data

SQLite.php : 35

This array contains the results of the query.

`public array<string|int, array<string|int, mixed>> $data`

### Methods

#### __construct()

SQLite.php : 43

This method retrieves the SQLite database path from the configuration file and then opens a connection in read mode.

`public __construct() : mixed`

##### Return values

mixed —

#### close()

SQLite.php : 56

This method closes the connection to the database.

`public close() : void`

##### Return values

void —

#### SQL()

SQLite.php : 67

It runs a SQL query on a given database and builds an array of the results.

`public SQL(string $query) : void`

##### Parameters

$query : string

##### Return values

void —

## Search results